package javax.management.openmbean;

import java.util.Set;

public interface OpenMBeanParameterInfo
{
    public abstract String getDescription();
    
    public abstract String getName();
    
    public abstract OpenType<?> getOpenType();
    
    public abstract Object getDefaultValue();
    
    public abstract Set<?> getLegalValues();
    
    public abstract Comparable<?> getMinValue();
    
    public abstract Comparable<?> getMaxValue();
    
    public abstract boolean hasDefaultValue();
    
    public abstract boolean hasLegalValues();
    
    public abstract boolean hasMinValue();
    
    public abstract boolean hasMaxValue();
    
    public abstract boolean isValue(Object p0);
    
    public abstract boolean equals(Object p0);
    
    public abstract int hashCode();
    
    public abstract String toString();
}
